
#ifndef _CRACKERS_H_
#define _CRACKERS_H_

/*#define DEBUG_CRACKERS*/
/*#define DEBUG_CRACKERS_INSERTIONS*/

#ifdef WIN32
#ifndef LIBCRACKERS
#define crackers_export extern __declspec(dllimport)
#else
#define crackers_export extern __declspec(dllexport)
#endif
#else
#define crackers_export extern
#endif

#include "mtime.h"
#include "crackers_index.h"
#include "crackers_select_ops.h"
#include "crackers_joinselect_ops.h"
#include "crackers_sideways.h"
#include "crackers_updates.h"
#include "crackers_validation.h"
#include "crackers_core_unordered.h"
#include "crackers_core_ordered.h"
#include "crackers_AVL_tree.h"
#include "crackers_AVL_index.h"
#include "crackers_joins.h"

#ifdef LIBCRACKERS 
extern int maxCrackMap;
extern CrackerIndexNode *CrackerIndex;
extern int IndexEntries;
extern int IndexSize;
extern int IndexStop;
extern struct storageManagement *StorageInfo;
#endif

#endif /* _CRACKERS_H */





