
#ifndef _CRACKERS_AVL_INDEX_H_
#define _CRACKERS_AVL_INDEX_H_

/* Exported signatures */


crackers_export str CRKmakeAVLIndex_chr(int *k, int *bid);
crackers_export str CRKInsertAVLIndex_chr(int *k, int *bid, int *uid);
crackers_export str CRKAVLIndexSelectBounds_chr(int *vid, int *bid, chr *low, chr *hgh, bit *inclusiveLow, bit *inclusiveHgh);
crackers_export str CRKdeleteFromAVL_chr(int *k, int *bid, int *uid);




crackers_export str CRKmakeAVLIndex_sht(int *k, int *bid);
crackers_export str CRKInsertAVLIndex_sht(int *k, int *bid, int *uid);
crackers_export str CRKAVLIndexSelectBounds_sht(int *vid, int *bid, sht *low, sht *hgh, bit *inclusiveLow, bit *inclusiveHgh);
crackers_export str CRKdeleteFromAVL_sht(int *k, int *bid, int *uid);




crackers_export str CRKmakeAVLIndex_int(int *k, int *bid);
crackers_export str CRKInsertAVLIndex_int(int *k, int *bid, int *uid);
crackers_export str CRKAVLIndexSelectBounds_int(int *vid, int *bid, int *low, int *hgh, bit *inclusiveLow, bit *inclusiveHgh);
crackers_export str CRKdeleteFromAVL_int(int *k, int *bid, int *uid);




crackers_export str CRKmakeAVLIndex_lng(int *k, int *bid);
crackers_export str CRKInsertAVLIndex_lng(int *k, int *bid, int *uid);
crackers_export str CRKAVLIndexSelectBounds_lng(int *vid, int *bid, lng *low, lng *hgh, bit *inclusiveLow, bit *inclusiveHgh);
crackers_export str CRKdeleteFromAVL_lng(int *k, int *bid, int *uid);




crackers_export str CRKmakeAVLIndex_flt(int *k, int *bid);
crackers_export str CRKInsertAVLIndex_flt(int *k, int *bid, int *uid);
crackers_export str CRKAVLIndexSelectBounds_flt(int *vid, int *bid, flt *low, flt *hgh, bit *inclusiveLow, bit *inclusiveHgh);
crackers_export str CRKdeleteFromAVL_flt(int *k, int *bid, int *uid);




crackers_export str CRKmakeAVLIndex_dbl(int *k, int *bid);
crackers_export str CRKInsertAVLIndex_dbl(int *k, int *bid, int *uid);
crackers_export str CRKAVLIndexSelectBounds_dbl(int *vid, int *bid, dbl *low, dbl *hgh, bit *inclusiveLow, bit *inclusiveHgh);
crackers_export str CRKdeleteFromAVL_dbl(int *k, int *bid, int *uid);




crackers_export str CRKmakeAVLIndex_date(int *k, int *bid);
crackers_export str CRKInsertAVLIndex_date(int *k, int *bid, int *uid);
crackers_export str CRKAVLIndexSelectBounds_date(int *vid, int *bid, date *low, date *hgh, bit *inclusiveLow, bit *inclusiveHgh);
crackers_export str CRKdeleteFromAVL_date(int *k, int *bid, int *uid);







#endif /* _CRACKERS_AVL_INDEX_H */

