
#ifndef _FACTORY_H
#define _FACTORY_H

#include "mal.h"
#include "mal_interpreter.h"
#include "mal_namespace.h"

#ifdef WIN32
#ifndef LIBFACTORY
#define factory_export extern __declspec(dllimport)
#else
#define factory_export extern __declspec(dllexport)
#endif
#else
#define factory_export extern
#endif

factory_export str FCTgetPlants(int *ret, int *ret2);
factory_export str FCTgetCaller(int *ret);
factory_export str FCTgetOwners(int *ret);
factory_export str FCTgetArrival(int *ret);
factory_export str FCTgetDeparture(int *ret);
factory_export str FCTsetLocation(int *ret, str *loc);
factory_export str FCTgetLocations(int *ret);
factory_export str FCTshutdown(int *ret, str *mod, str *fcn);
#endif /* _FACTORY_H */

