
#ifndef _MAL_AUTHORIZE_H
#define _MAL_AUTHORIZE_H

/* #define _DEBUG_AUTH_*/
#include "mal.h"
#include "mal_exception.h"
#include "mal_instruction.h"
#include "mal_client.h"

mal_export str AUTHcheckCredentials(oid *ret, str *user, str *passwd, str *challenge, str *algo, str *scenario);
mal_export str AUTHcheckUser(int *ret, str *user, str *passwd);
mal_export str AUTHaddUser(oid *ret, str *user, str *pass, bat *scenarios);
mal_export str AUTHremoveUser(str *username);
mal_export str AUTHchangeUsername(str *olduser, str *newuser);
mal_export str AUTHchangePassword(str *oldpass, str *passwd);
mal_export str AUTHsetPassword(str *username, str *passwd);
mal_export str AUTHaddScenario(str *username, str *scenario);
mal_export str AUTHremoveScenario(str *username, str *scenario);
mal_export str AUTHresolveUser(str *ret, oid *uid);
mal_export str AUTHgetUsername(str *ret);
mal_export str AUTHgetUsers(BAT **ret, bat *scenarios);

mal_export str AUTHrequireAdmin(void);
mal_export str AUTHrequirteAdminOrUser(str *username);
mal_export str AUTHinitTables(void);



mal_export str AUTHunlockVault(str *password);



mal_export str AUTHgetHashAlgorithms(str *ret);

#endif /* _MAL_AUTHORIZE_H */

