
#ifndef _MAL_FACTORY_H
#define _MAL_FACTORY_H

/* #define DEBUG_MAL_FACTORY  */

#include "mal.h"
#include "mal_client.h"
#include "mal_instruction.h"
#include "mal_interpreter.h"
#include "mal_function.h"
#include "mal_exception.h"
#include "mal_session.h"
#include "mal_debugger.h"

#define POLICYimmediate 1	/* let user wait for reply */
#define POLICYprivate   2	/* each client its own plants */

mal_export str runFactory(Client cntxt, MalBlkPtr mb, MalBlkPtr mbcaller, MalStkPtr stk, InstrPtr pci);
mal_export int yieldResult(MalBlkPtr mb, InstrPtr p, int pc);
mal_export str yieldFactory(MalBlkPtr mb, InstrPtr p, int pc);
mal_export str finishFactory(MalBlkPtr mb, InstrPtr pp, int pc);
mal_export str shutdownFactory(MalBlkPtr mb);
mal_export str shutdownFactoryByName(Module m,str nme);
mal_export str callFactory(Client cntxt, MalBlkPtr mb, ValPtr argv[],char flag);
mal_export int factoryHasFreeSpace(void);
#endif /*  _MAL_FACTORY_H */

