
#ifndef _MAL_LINKER_H
#include "mal_module.h"

#ifdef HAVE_DLFCN_H
#include <dlfcn.h>
#else 
#define RTLD_LAZY   1
#define RTLD_NOW    2
#define RTLD_GLOBAL 4
#define RTLD_NOW_REPORT_ERROR   8
#endif

/* #define DEBUG_MAL_LINKER */
#define MONET64 1
mal_export MALfcn getAddress(str filename, str modnme, str fcnname,int silent);
mal_export char *MSP_locate_script(const char *mod_name);
mal_export char *MSP_locate_file(const char *mod_name);
mal_export str loadLibrary(str modulename, int flag);
mal_export void unloadLibraries(void);
mal_export void initLibraries(void);
mal_export int isPreloaded(str nme);
mal_export int isLoaded(str modulename);
#endif

