
#ifndef _OPT_QEP_
#define _OPT_QEP_
#include "mal.h"
#include "mal_interpreter.h"
#include "opt_prelude.h"
#include "opt_support.h"

#define DEBUG_OPT_QEP     /* show partial result */
typedef struct QEPrecord {
	MalBlkPtr mb;
	InstrPtr p;
	int plimit, climit;		/* capacities */
	struct QEPrecord **parents;	/* at least one link to parent */
	struct QEPrecord **children;
} *QEP;

#define MAXPARENT 4
#define MAXCHILD 8




opt_export str OPTdumpQEP(MalBlkPtr mb, MalStkPtr stk, InstrPtr p);




#endif /* _OPT_QEP_ */

