
#ifndef _MAL_COMPILER_H_
#define _MAL_COMPILER_H_
#include "mal.h"
#include "mal_client.h"
#include "mal_linker.h"

#define DEBUG_MAL_COMPILER

#ifdef WIN32
#ifndef LIBMAL_COMPILER
#define mal_compiler_export extern __declspec(dllimport)
#else
#define mal_compiler_export extern __declspec(dllexport)
#endif
#else
#define mal_compiler_export extern
#endif

mal_compiler_export str MCdynamicCompiler(MalBlkPtr mb, MalStkPtr stk, InstrPtr p);
mal_compiler_export str MCloadFunction(int *ret, str *mod, str *fcn, str *fname);

#endif /* _MAL_COMPILER_H_ */

