
#ifndef _CRACKERS_VALIDATION_H_
#define _CRACKERS_VALIDATION_H_

/* Exported signatures */


crackers_export str CRKcrackUnorderedZero_validate_chr (bit *res, int *bid, chr *_mid);
crackers_export str CRKcrackUnorderedOne_validate_chr (int *res, int *bid, chr *_mid);
crackers_export str CRKcrackUnorderedTwo_validate_chr (bit *res, int *bid, chr *_low, chr *_hgh);
crackers_export str CRKcrackUnorderedThree_validate_chr (bit *res, int *bid, chr *_low, chr *_hgh);




crackers_export str CRKcrackUnorderedZero_validate_sht (bit *res, int *bid, sht *_mid);
crackers_export str CRKcrackUnorderedOne_validate_sht (int *res, int *bid, sht *_mid);
crackers_export str CRKcrackUnorderedTwo_validate_sht (bit *res, int *bid, sht *_low, sht *_hgh);
crackers_export str CRKcrackUnorderedThree_validate_sht (bit *res, int *bid, sht *_low, sht *_hgh);




crackers_export str CRKcrackUnorderedZero_validate_int (bit *res, int *bid, int *_mid);
crackers_export str CRKcrackUnorderedOne_validate_int (int *res, int *bid, int *_mid);
crackers_export str CRKcrackUnorderedTwo_validate_int (bit *res, int *bid, int *_low, int *_hgh);
crackers_export str CRKcrackUnorderedThree_validate_int (bit *res, int *bid, int *_low, int *_hgh);




crackers_export str CRKcrackUnorderedZero_validate_lng (bit *res, int *bid, lng *_mid);
crackers_export str CRKcrackUnorderedOne_validate_lng (int *res, int *bid, lng *_mid);
crackers_export str CRKcrackUnorderedTwo_validate_lng (bit *res, int *bid, lng *_low, lng *_hgh);
crackers_export str CRKcrackUnorderedThree_validate_lng (bit *res, int *bid, lng *_low, lng *_hgh);




crackers_export str CRKcrackUnorderedZero_validate_flt (bit *res, int *bid, flt *_mid);
crackers_export str CRKcrackUnorderedOne_validate_flt (int *res, int *bid, flt *_mid);
crackers_export str CRKcrackUnorderedTwo_validate_flt (bit *res, int *bid, flt *_low, flt *_hgh);
crackers_export str CRKcrackUnorderedThree_validate_flt (bit *res, int *bid, flt *_low, flt *_hgh);




crackers_export str CRKcrackUnorderedZero_validate_dbl (bit *res, int *bid, dbl *_mid);
crackers_export str CRKcrackUnorderedOne_validate_dbl (int *res, int *bid, dbl *_mid);
crackers_export str CRKcrackUnorderedTwo_validate_dbl (bit *res, int *bid, dbl *_low, dbl *_hgh);
crackers_export str CRKcrackUnorderedThree_validate_dbl (bit *res, int *bid, dbl *_low, dbl *_hgh);




crackers_export str CRKcrackUnorderedZero_validate_date (bit *res, int *bid, date *_mid);
crackers_export str CRKcrackUnorderedOne_validate_date (int *res, int *bid, date *_mid);
crackers_export str CRKcrackUnorderedTwo_validate_date (bit *res, int *bid, date *_low, date *_hgh);
crackers_export str CRKcrackUnorderedThree_validate_date (bit *res, int *bid, date *_low, date *_hgh);








crackers_export str CRKcrackOrderedZero_validate_chr (bit *res, int *bid, chr *_mid);
crackers_export str CRKcrackOrderedOne_validate_chr (int *res, int *bid, chr *_mid);
crackers_export str CRKcrackOrderedTwo_validate_chr (bit *res, int *bid, chr *_low, chr *_hgh);
crackers_export str CRKcrackOrderedThree_validate_chr (bit *res, int *bid, chr *_low, chr *_hgh);




crackers_export str CRKcrackOrderedZero_validate_sht (bit *res, int *bid, sht *_mid);
crackers_export str CRKcrackOrderedOne_validate_sht (int *res, int *bid, sht *_mid);
crackers_export str CRKcrackOrderedTwo_validate_sht (bit *res, int *bid, sht *_low, sht *_hgh);
crackers_export str CRKcrackOrderedThree_validate_sht (bit *res, int *bid, sht *_low, sht *_hgh);




crackers_export str CRKcrackOrderedZero_validate_int (bit *res, int *bid, int *_mid);
crackers_export str CRKcrackOrderedOne_validate_int (int *res, int *bid, int *_mid);
crackers_export str CRKcrackOrderedTwo_validate_int (bit *res, int *bid, int *_low, int *_hgh);
crackers_export str CRKcrackOrderedThree_validate_int (bit *res, int *bid, int *_low, int *_hgh);




crackers_export str CRKcrackOrderedZero_validate_lng (bit *res, int *bid, lng *_mid);
crackers_export str CRKcrackOrderedOne_validate_lng (int *res, int *bid, lng *_mid);
crackers_export str CRKcrackOrderedTwo_validate_lng (bit *res, int *bid, lng *_low, lng *_hgh);
crackers_export str CRKcrackOrderedThree_validate_lng (bit *res, int *bid, lng *_low, lng *_hgh);




crackers_export str CRKcrackOrderedZero_validate_flt (bit *res, int *bid, flt *_mid);
crackers_export str CRKcrackOrderedOne_validate_flt (int *res, int *bid, flt *_mid);
crackers_export str CRKcrackOrderedTwo_validate_flt (bit *res, int *bid, flt *_low, flt *_hgh);
crackers_export str CRKcrackOrderedThree_validate_flt (bit *res, int *bid, flt *_low, flt *_hgh);




crackers_export str CRKcrackOrderedZero_validate_dbl (bit *res, int *bid, dbl *_mid);
crackers_export str CRKcrackOrderedOne_validate_dbl (int *res, int *bid, dbl *_mid);
crackers_export str CRKcrackOrderedTwo_validate_dbl (bit *res, int *bid, dbl *_low, dbl *_hgh);
crackers_export str CRKcrackOrderedThree_validate_dbl (bit *res, int *bid, dbl *_low, dbl *_hgh);




crackers_export str CRKcrackOrderedZero_validate_date (bit *res, int *bid, date *_mid);
crackers_export str CRKcrackOrderedOne_validate_date (int *res, int *bid, date *_mid);
crackers_export str CRKcrackOrderedTwo_validate_date (bit *res, int *bid, date *_low, date *_hgh);
crackers_export str CRKcrackOrderedThree_validate_date (bit *res, int *bid, date *_low, date *_hgh);








crackers_export str CRKverifyCrackerIndex_chr(int *k, int *bid);




crackers_export str CRKverifyCrackerIndex_sht(int *k, int *bid);




crackers_export str CRKverifyCrackerIndex_int(int *k, int *bid);




crackers_export str CRKverifyCrackerIndex_lng(int *k, int *bid);




crackers_export str CRKverifyCrackerIndex_flt(int *k, int *bid);




crackers_export str CRKverifyCrackerIndex_dbl(int *k, int *bid);




crackers_export str CRKverifyCrackerIndex_date(int *k, int *bid);







#endif /* _CRACKERS_VALIDATION_H */

