

/*============================================================================*/
#ifndef __array_h__
#define __array_h__

#include <gdk.h>
#include <algebra.h>		/* to include BATmin and BATmax */




#define new_int_bat(b,s) {(b)=BATnew(TYPE_void,TYPE_int,(size_t) (s)); \
                         BATseqbase((b),0);                 }
#define add_ints(b,n)    {(b)->T->heap.free+=(size_t)(n)*sizeof(int);\
			                   (b)->batCount+=(size_t)n;\
                         BATkey(BATmirror((b)),0);          \
                         (b)->tsorted = 0;                  }
#define get_int_ptr(b)   ((int*)(Tloc(b,BUNfirst((b)))))




#define new_lng_bat(b,s) {(b)=BATnew(TYPE_void,TYPE_lng,(size_t) (s)); \
                         BATseqbase((b),0);                 }
#define add_lngs(b,n)    {(b)->T->heap.free+=(size_t)(n)*sizeof(lng);\
			                   (b)->batCount+=(size_t)n;\
                         BATkey(BATmirror((b)),0);          \
                         (b)->tsorted = 0;                  }
#define get_lng_ptr(b)   ((lng*)(Tloc(b,BUNfirst((b)))))




/* The maximum number of dimensions that the print-function can handle... */
#define MAX_ARRAY_DIM 16

#endif
/*============================================================================*/

