
#ifndef _MBM_H_
#define _MBM_H_
#include <mal.h>

#ifdef WIN32
#ifndef LIBMICROBENCHMARK
#define mb_export extern __declspec(dllimport)
#else
#define mb_export extern __declspec(dllexport)
#endif
#else
#define mb_export extern
#endif

mb_export str MBMuniform(int *ret, oid *base, int *size, int *domain);
mb_export str MBMnormal(int *ret, oid *base, int *size, int *domain, int *stddev, int *mean);

#endif /* _MBM_H_ */

