
#ifndef _ALGEBRA_EXTENSIONS_H
#define _ALGEBRA_EXTENSIONS_H
#include "mal_config.h"
#include "mal_box.h"
#include "mal_client.h"
#include "mal_interpreter.h"
#include "bat5.h"
#include "algebra.h"

#ifdef WIN32
#ifndef LIBALGEBRAEXTENSIONS
#define ae_export extern __declspec(dllimport)
#else
#define ae_export extern __declspec(dllexport)
#endif
#else
#define ae_export extern
#endif

ae_export str ALGprojectCst(MalBlkPtr mb, MalStkPtr stk, InstrPtr pci);
ae_export str ALGprojectCstBody(int *result, int *bid, ptr *p, int tt);
#endif /* _ALGEBRA_EXTENSIONS_H*/


