
#ifndef _CLIENTS_H
#define _CLIENTS_H
#include "mal.h"

#ifdef WIN32
#ifndef LIBCLIENTS
#define clients_export extern __declspec(dllimport)
#else
#define clients_export extern __declspec(dllexport)
#endif
#else
#define clients_export extern
#endif

clients_export str CLTsetListing(int *ret, int *flag);
clients_export str CLTgetClientId(int *ret);
clients_export str CLTgetScenario(str *ret);
clients_export str CLTsetScenario(str *ret, str *nme);
clients_export str CLTchangeUsername(int *ret, str *old, str *new) ;
clients_export str CLTusers(int *ret);
clients_export str CLTsetHistory(int *ret, str *fname);
clients_export str CLTexit(int *ret);
clients_export str CLTquit(int *ret);
clients_export str CLTLogin(int *ret);
clients_export str CLTLastCommand(int *ret);
clients_export str CLTActions(int *ret);
clients_export str CLTTime(int *ret);
clients_export str CLTInfo(int *ret);
clients_export str CLTgetUsername(str *ret);

clients_export str CLTsuspend(int *ret, int *id);
clients_export str CLTwakeup(int *ret, int *id);

clients_export str CLTaddUser(oid *ret, str *usr, str *pw, bat *sc);
clients_export str CLTremoveUser(int *ret, str *usr);
clients_export str CLTchangePassword(int *ret, str *old, str *new);
clients_export str CLTsetPassword(int *ret, str *usr, str *new);
clients_export str CLTcheckPermission(int *ret, str *usr, str *pw, str *sc);
clients_export str CLTaddScenario(int *ret, str *usr, str *sc);
clients_export str CLTremoveScenario(int *ret, str *usr, str *sc);
clients_export str CLTgetUsers(bat *ret, bat *scens);
clients_export str CLTshutdown(int *ret, bit *forced);

#endif /* _CLIENTS_H */

