
#ifndef _CONST_H
#define _CONST_H
#include "clients.h"
#include "mal.h"
#include "mal_client.h"
#include "mal_interpreter.h"
#include "mal_authorize.h"

#ifdef WIN32
#ifndef LIBCONST
#define const_export extern __declspec(dllimport)
#else
#define const_export extern __declspec(dllexport)
#endif
#else
#define const_export extern
#endif

const_export str CSTprelude(MalBlkPtr mb, MalStkPtr stk, InstrPtr pci);
const_export str CSTopen(MalBlkPtr mb, MalStkPtr stk, InstrPtr pci);
const_export str CSTclose(MalBlkPtr mb, MalStkPtr stk, InstrPtr pci);
const_export str CSTdestroy(MalBlkPtr mb, MalStkPtr stk, InstrPtr pci);
const_export str CSTdeposit(MalBlkPtr mb, MalStkPtr stk, InstrPtr pci);
const_export str CSTtake(MalBlkPtr mb, MalStkPtr stk, InstrPtr pci);
const_export str CSTrelease(MalBlkPtr mb, MalStkPtr stk, InstrPtr pci);
const_export str CSTreleaseAll(MalBlkPtr mb, MalStkPtr stk, InstrPtr pci);
const_export str CSTdiscard(MalBlkPtr mb, MalStkPtr stk, InstrPtr pci);
const_export str CSTtoString(MalBlkPtr mb, MalStkPtr stk, InstrPtr pci);
const_export str CSTnewIterator(MalBlkPtr mb, MalStkPtr stk, InstrPtr pci);
const_export str CSThasMoreElements(MalBlkPtr mb, MalStkPtr stk, InstrPtr pci);
const_export  str CSTepilogue(int *ret);
#endif /* _CONST_H */

