
#ifndef _MAL_RESOLVE_H
#define _MAL_RESOLVE_H

#include "mal_exception.h"
#include "mal_function.h"
#include "mal_exception.h"

/*
#define DEBUG_MAL_RESOLVE 1 
*/
#define MAXTYPEVAR  10

mal_export void chkProgram(Module s, MalBlkPtr mb);
mal_export void chkInstruction(Module s, MalBlkPtr mb, InstrPtr p);
mal_export void chkTypes(Module s, MalBlkPtr mb);
mal_export void typeChecker(Module scope, MalBlkPtr mb, InstrPtr p, int silent);
mal_export InstrPtr dynamicTypeChecker(Module scope,MalBlkPtr mb, MalStkPtr stk, InstrPtr p);
mal_export int fcnBinder(Module scope, MalBlkPtr mb, InstrPtr p);

extern void typeMismatch(MalBlkPtr mb, InstrPtr p, int lhs, int rhs,int silent);
extern str traceFcnName;
mal_export void expandMacro(MalBlkPtr mb, InstrPtr p, MalBlkPtr mc);

#endif /*  _MAL_RESOLVE_H*/


mal_export int resolveType(int dsttype, int srctype);

