

#ifndef _REMOTE_DEF
#define _REMOTE_DEF

#ifdef WIN32
#ifndef LIBREMOTE
#define remote_export extern __declspec(dllimport)
#else
#define remote_export extern __declspec(dllexport)
#endif
#else
#define remote_export extern
#endif

remote_export str RMTprelude(int *ret);
remote_export str RMTepilogue(int *ret);

#endif


remote_export str RMTserveget(MalBlkPtr mb, MalStkPtr stk, InstrPtr pci);


remote_export str RMTget(MalBlkPtr mb, MalStkPtr stk, InstrPtr pci);


remote_export str RMTgetnextid(int *ret);


remote_export str RMTput(MalBlkPtr mb, MalStkPtr stk, InstrPtr pci);


remote_export str RMTexec(MalBlkPtr mb, MalStkPtr stk, InstrPtr pci);


remote_export str RMTcreate(
		int *ret,
		str *conn,
		str *host,
		int *port,
		str *dbname,
		str *user,
		str *passwd);


remote_export str RMTdestroy(int *ret, str *conn);

