
#ifndef MAL_PRELUDE
#define MAL_PRELUDE
#include "opt_support.h"

opt_export  str aggrRef;
opt_export  str alarmRef;
opt_export  str algebraRef;
opt_export  str appendidxRef;
opt_export  str appendRef;
opt_export  str assertRef;
opt_export  str avgRef;
opt_export  str batcalcRef;
opt_export  str batRef;
opt_export  str batstrRef;
opt_export  str batmathRef;
opt_export  str bbpRef;
opt_export  str binddbatRef;
opt_export  str bindidxRef;
opt_export  str bindRef;
opt_export  str bpmRef;
opt_export  str bstreamRef;
opt_export  str calcRef;
opt_export  str columnRef;
opt_export  str constraintsRef;
opt_export  str countRef;
opt_export  str crossRef;
opt_export  str dblRef;
opt_export  str deleteRef;
opt_export  str depositRef;
opt_export  str deriveRef;
opt_export  str differenceRef;
opt_export  str divRef;
opt_export  str disconnectRef;
opt_export  str evalRef;
opt_export  str expandRef;
opt_export  str finishRef;
opt_export  str getRef;
opt_export  str groupRef;
opt_export  str groupbyRef;
opt_export  str hashRef;
opt_export  str identityRef;
opt_export  str inplaceRef;
opt_export  str insertRef;
opt_export  str intRef;
opt_export  str ioRef;
opt_export  str joinRef;
opt_export  str bandjoinRef;
opt_export  str kdifferenceRef;
opt_export  str kunionRef;
opt_export  str languageRef;
opt_export  str likeselectRef;
opt_export  str listRef;
opt_export  str lockRef;
opt_export  str lookupRef;
opt_export  str malRef;
opt_export  str markHRef;
opt_export  str markTRef;
opt_export  str materializeRef;
opt_export  str matRef;
opt_export  str maxRef;
opt_export  str mdbRef;
opt_export  str minRef;
opt_export  str mirrorRef;
opt_export  str mkeyRef;
opt_export  str mmathRef;
opt_export  str mapiRef;
opt_export  str multiplexRef;
opt_export  str newRef;
opt_export  str oidRef;
opt_export  str optimizerRef;
opt_export  str packRef;
opt_export  str plusRef;
opt_export  str printRef;
opt_export  str preludeRef;
opt_export  str postludeRef;
opt_export  str projectRef;
opt_export  str putRef;
opt_export  str queryRef;
opt_export  str reconnectRef;
opt_export  str remapRef;
opt_export  str replaceRef;
opt_export  str replicatorRef;
opt_export  str resultSetRef;
opt_export  str reuseRef;
opt_export  str reverseRef;
opt_export  str rpcRef;
opt_export  str rsColumnRef;
opt_export  str selectNotNilRef;
opt_export  str selectRef;
opt_export  str semaRef;
opt_export  str semijoinRef;
opt_export  str setAccessRef;
opt_export  str setWriteModeRef;
opt_export  str sortHRef;
opt_export  str sortHTRef;
opt_export  str sortRef;
opt_export  str sortReverseTailRef;
opt_export  str sortTailRef;
opt_export  str sortTHRef;
opt_export  str sqlRef;
opt_export  str streamsRef;
opt_export  str strRef;
opt_export  str sumRef;
opt_export  str sunionRef;
opt_export  str takeRef;
opt_export  str tuniqueRef;
opt_export  str unionRef;
opt_export  str unpackRef;
opt_export  str updateRef;
opt_export  str uselectRef;

opt_export int canBeCrackedProp;	/* binary */
opt_export int inlineProp;		/* binary */
opt_export int keepProp;		/* binary */
opt_export int notnilProp;		/* binary */
opt_export int rowsProp;		/* long */
opt_export int runonceProp;		/* binary */
opt_export int singletonProp;		/* binary */
opt_export int unsafeProp;		/* binary */

opt_export int stableProp;		/* binary */
opt_export int insertionsProp;		/* binary */
opt_export int updatesProp;		/* binary */
opt_export int deletesProp;		/* binary */

opt_export int hlbProp;			/* any (head lower bound) */
opt_export int hubProp;			/* any (head upper bound) */
opt_export int tlbProp;			/* any (tail lower bound) */
opt_export int tubProp;			/* any (tail upper bound) */

opt_export void optimizerInit(void);
#endif

