
#ifndef _RUN_MEMORUN
#define _RUN_MEMORUN
#include "mal.h"
#include "mal_interpreter.h"
#include "mal_linker.h"
#include "mal_client.h"

/* #define DEBUG_RUN_MEMORUN*/

#ifdef WIN32
#ifndef LIBMAL_MEMORUN
#define memorun_export extern __declspec(dllimport)
#else
#define memorun_export extern __declspec(dllexport)
#endif
#else
#define memorun_export extern
#endif

memorun_export str RUNchoice(MalBlkPtr mb, MalStkPtr stk, InstrPtr p);
memorun_export str RUNvolumeCost(MalBlkPtr mb, MalStkPtr stk, InstrPtr p);
memorun_export str RUNcostPrediction(MalBlkPtr mb, MalStkPtr stk, InstrPtr p);
memorun_export str RUNpickResult(MalBlkPtr mb, MalStkPtr stk, InstrPtr p);
#endif /* MAL_RUN_MEMORUN */


